Package com.google.protobuf

# Class GeneratedMessage.UnusedPrivateParameter

java.lang.Object
com.google.protobuf.GeneratedMessage.UnusedPrivateParameter

Enclosing class:
  `GeneratedMessage`

protected static final class GeneratedMessage.UnusedPrivateParameter extends Object
This class is used to make a generated protected method inaccessible from user's code (e.g., the `GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)` method below). When this class is used as a parameter's type in a generated protected method, the method is visible to user's code in the same package, but since the constructor of this class is private to protobuf runtime, user's code can't obtain an instance of this class and as such can't actually make a method call on the protected method.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`